## tuxbake-0.6.7.tar.gz

=== dockerfiles/Makefile ===
# variables
PROJECT_DIR := tuxbake
DATE = date +%Y%m%d
REPOSITORY := docker.io

##  docker commad to build containers with two different tags \
	tag - 1 = project-dir/container-dir:latest \
	tag - 2 = project-dir/container-dir:yyyymmdd \

list := centos-7 centos-8 \
       debian-stretch debian-buster debian-bullseye \
       fedora-33 fedora-34 \
       opensuse-leap-15.1 opensuse-leap-15.2 \
       ubuntu-16.04 ubuntu-18.04 ubuntu-20.04 ubuntu-22.04

help:
	@echo "Makefile arguments:"
	@echo ""
	@echo "list=$(list)"
	@echo "specify one target by add that to the list."
	@echo ""
	@echo ""
	@echo "Make commands:"
	@echo ""
	@echo "build"
	@echo "publish"
	@echo "all"
	@echo ""
	@echo "Example command:"
	@echo ""
	@echo "make all"
	@echo "make list=ubuntu-20.04 build"

.DEFAULT_GOAL := all

build:
	for os in $(list); do echo $$os ; docker build -t $(PROJECT_DIR)/$$os:latest -t $(PROJECT_DIR)/$$os:$$($(DATE)) $$os/. ; done

publish: build
	for os in $(list); do echo $$os ; docker push $(REPOSITORY)/$(PROJECT_DIR)/$$os ; done

all: build

=== debian/changelog ===
tuxbake (0.6.7-1) UNRELEASED; urgency=medium

  * Initial release

 -- Your Name <your.name@yourdomain.com>  Mon, 12 Dec 2022 20:48:34 -0000

=== debian/control ===
Source: tuxbake
Maintainer: Your Name <your.name@yourdomain.com>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               git,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               tuxmake,
               repo,
               python3-retrying,
               python3-requests,
Standards-Version: 4.6.0.1
Homepage: FIXME

Package: tuxbake
Architecture: all
Depends: ${misc:Depends},
         python3 (>= 3.6),
         ${python3:Depends},
         tuxmake,
         python3-retrying,
         python3-requests,
Recommends: repo
Description: <FIXME>
 <FIXME>
